Error ingesting: Attribute file is not readable - fixed


#1

Under the conda prompt (env catalyst) I issue the command:
<catalyst ingest-exchange -x bitfinex>

Resulting in an error:

[================================    ]  Ingesting daily price data on bitfin

ex: 90% 0d 00:00:21[2018-07-17 19:45:58.561949] WARNING: exchange_bundle: err
or when writing data: Attribute file is not readable, trying again

Traceback (most recent call last):
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\bcolz\attrs.py”
, line 76, in open
data = json.loads(rfile.read().decode(‘ascii’))
File "c:\users\ernst\anaconda3\envs\catalyst\lib\json_init
.py", line 354,
in loads
return _default_decoder.decode(s)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\json\decoder.py”, line 339, i
n decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File “c:\users\ernst\anaconda3\envs\catalyst\lib\json\decoder.py”, line 357, i
n raw_decode
raise JSONDecodeError(“Expecting value”, s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “c:\users\ernst\anaconda3\envs\catalyst\lib\runpy.py”, line 193, in run
module_as_main
main”, mod_spec)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\runpy.py”, line 85, in run_c
ode
exec(code, run_globals)
File "C:\Users\Ernst\Anaconda3\envs\catalyst\Scripts\catalyst.exe_main
.py"
, line 9, in
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\core.py”,
line 722, in call
return self.main(*args, **kwargs)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\core.py”,
line 697, in main
rv = self.invoke(ctx)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\core.py”,
line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\core.py”,
line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\core.py”,
line 535, in invoke
return callback(*args, **kwargs)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\click\decorator
s.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst__main
__.py”, line 609, in ingest_exchange
csv=csv
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\exchan
ge\exchange_bundle.py”, line 824, in ingest
show_report=show_report
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\exchan
ge\exchange_bundle.py”, line 643, in ingest_assets
cleanup=True
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\exchan
ge\exchange_bundle.py”, line 412, in ingest_ctable
duplicates_threshold=duplicates_threshold
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\exchan
ge\exchange_bundle.py”, line 330, in ingest_df
self._write(data, writer, data_frequency)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\exchan
ge\exchange_bundle.py”, line 195, in _write
invalid_data_behavior=‘raise’
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\data\m
inute_bars.py”, line 696, in write
write_sid(*e, invalid_data_behavior=invalid_data_behavior)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\data\m
inute_bars.py”, line 729, in write_sid
self._write_cols(sid, dts, cols, invalid_data_behavior)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\data\m
inute_bars.py”, line 780, in _write_cols
table = self._ensure_ctable(sid)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\catalyst\data\m
inute_bars.py”, line 603, in _ensure_ctable
return bcolz.ctable(rootdir=sidpath, mode=‘a’)
File "c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\bcolz\ctable.py
", line 278, in init
self.attrs = attrs.attrs(self.rootdir, self.mode, _new=_new)
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\bcolz\attrs.py”
, line 58, in init
self._open()
File “c:\users\ernst\anaconda3\envs\catalyst\lib\site-packages\bcolz\attrs.py”
, line 79, in _open
“Attribute file is not readable”)
OSError: Attribute file is not readable

win8.1
anaconda
Pycharm


#2

Hi @Ernestopheles,

Thanks for reporting this. It might related to this Github issue.
Please use the workaround suggested there until we fix this or let us know if this didn’t fix your problem.

Thanks,
Lena


#3

Hi lena,

Thanks for fixing

Ernst